Error messages on Institution statistics

Bug #1647220 reported by Kristina Hoeppner on 2016-12-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Cecilia Vela Gurovic
16.04
High
Unassigned
16.10
High
Unassigned

Bug Description

Mahara master 17.04dev:

The following error messages appear in a fresh Mahara instance with no institutions set up on Admin -> Institutions -> Statistics -> Pages.

It seems to be similar to bug #1486309.

[WAR] e8 (lib/user.php:1909) Undefined variable: urlid
Call stack (most recent first):

    log_message("Undefined variable: urlid", 8, true, true, "/home/kristina/code/mahara/htdocs/lib/user.php", 1909) at /home/kristina/code/mahara/htdocs/lib/errors.php:521
    error(8, "Undefined variable: urlid", "/home/kristina/code/mahara/htdocs/lib/user.php", 1909, array(size 4)) at /home/kristina/code/mahara/htdocs/lib/user.php:1909
    profile_url(false, false) at /home/kristina/code/mahara/htdocs/lib/view.php:5796
    View->get_url(false) at /home/kristina/code/mahara/htdocs/lib/view.php:5237
    View::get_extra_view_info(array(size 5), false, false) at /home/kristina/code/mahara/htdocs/lib/registration.php:1399
    institution_view_stats_table(10, 0, array(size 17)) at /home/kristina/code/mahara/htdocs/lib/registration.php:1323
    institution_view_statistics(10, 0, array(size 17)) at /home/kristina/code/mahara/htdocs/admin/users/statistics.php:83

[WAR] e8 (lib/user.php:1918) Undefined variable: id
Call stack (most recent first):

    log_message("Undefined variable: id", 8, true, true, "/home/kristina/code/mahara/htdocs/lib/user.php", 1918) at /home/kristina/code/mahara/htdocs/lib/errors.php:521
    error(8, "Undefined variable: id", "/home/kristina/code/mahara/htdocs/lib/user.php", 1918, array(size 4)) at /home/kristina/code/mahara/htdocs/lib/user.php:1918
    profile_url(false, false) at /home/kristina/code/mahara/htdocs/lib/view.php:5796
    View->get_url(false) at /home/kristina/code/mahara/htdocs/lib/view.php:5237
    View::get_extra_view_info(array(size 5), false, false) at /home/kristina/code/mahara/htdocs/lib/registration.php:1399
    institution_view_stats_table(10, 0, array(size 17)) at /home/kristina/code/mahara/htdocs/lib/registration.php:1323
    institution_view_statistics(10, 0, array(size 17)) at /home/kristina/code/mahara/htdocs/admin/users/statistics.php:83

[WAR] e8 (lib/user.php:1922) profile_url called with no user id
Call stack (most recent first):

    profile_url(false, false) at /home/kristina/code/mahara/htdocs/lib/view.php:5796
    View->get_url(false) at /home/kristina/code/mahara/htdocs/lib/view.php:5237
    View::get_extra_view_info(array(size 5), false, false) at /home/kristina/code/mahara/htdocs/lib/registration.php:1399
    institution_view_stats_table(10, 0, array(size 17)) at /home/kristina/code/mahara/htdocs/lib/registration.php:1323
    institution_view_statistics(10, 0, array(size 17)) at /home/kristina/code/mahara/htdocs/admin/users/statistics.php:83

I don't have the problem on Mahara 16.10 with multiple institution. Would need to be tested without institutions.

Changed in mahara:
status: Confirmed → In Progress
assignee: nobody → Cecilia Vela Gurovic (ceciliavg)

same fix that https://bugs.launchpad.net/bugs/1486309 but for an institution.

Reviewed: https://reviews.mahara.org/7292
Committed: https://git.mahara.org/mahara/mahara/commit/77c44ae9e69fa85a5c80a75475d6fac9a518d1bc
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 77c44ae9e69fa85a5c80a75475d6fac9a518d1bc
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Dec 5 12:58:42 2016 +1300

Bug 1647220: Fix error in Institution statistics when no institution

behatnotneeded

Change-Id: I9735ac2729f56864906dd8fed9de48df4db46b6c

Robert Lyon (robertl-9) on 2016-12-11
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/7322

Reviewed: https://reviews.mahara.org/7321
Committed: https://git.mahara.org/mahara/mahara/commit/2d71a1e201071412b94e48889e413b7cfb0ad104
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 2d71a1e201071412b94e48889e413b7cfb0ad104
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Dec 5 12:58:42 2016 +1300

Bug 1647220: Fix error in Institution statistics when no institution

behatnotneeded

Change-Id: I9735ac2729f56864906dd8fed9de48df4db46b6c
(cherry picked from commit 77c44ae9e69fa85a5c80a75475d6fac9a518d1bc)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7322
Committed: https://git.mahara.org/mahara/mahara/commit/c5b549343bd77d5bc0dcc25ab6fd19968f09c741
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit c5b549343bd77d5bc0dcc25ab6fd19968f09c741
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Dec 5 12:58:42 2016 +1300

Bug 1647220: Fix error in Institution statistics when no institution

behatnotneeded

Change-Id: I9735ac2729f56864906dd8fed9de48df4db46b6c
(cherry picked from commit 77c44ae9e69fa85a5c80a75475d6fac9a518d1bc)

Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers